#!/bin/bash

if [ x"$deploy_script_paths_set" != "x1" ]; then
    SCRIPT=$(realpath "$0")
    SCRIPTPATH=$(dirname "$SCRIPT")
    source ${SCRIPTPATH}/paths.env
fi

pushd $git_dir 

git reset --hard origin/w2t
git pull
git switch w2t

cp "${csv_file}" "${git_dir}"/src/assets 

node_modules/.bin/yarn build \
  && rm -fr /var/www/where2test.de/covid-sim/* \
  && cp -r dist/* /var/www/where2test.de/covid-sim/

popd

